Versioning

๐Ÿ‘

API Version is now Optional

If no version is passed in, Webflow will default to using the latest version of the API.

All API requests support passing in a parameters to specify which API version to use. This may be passed in through an HTTP header or through querystring.

Header

The version can be specified with the Accept-Version header.

curl https://api.webflow.com/info \
  -H 'Accept-Version: <<accept-version>>'

Querystring

The version can be specified in the query string as api_version.

curl https://api.webflow.com/info?api_version=<<accept-version>>

Webflow SDK

If you're using the Webflow SDK, versioning is handled by the framework and no additional code is needed.